#!/bin/bash

train_file="${1}"
valid_file="${2}"
emb_dim="${3}"
rnn_size="${4}"
num_z_samples="${5}"
seed="${6}"
gpuid="${7}"

python ../../train.py \
  --train_file "${train_file}" \
  --valid_file "${valid_file}" \
  --model_file "model.seed${seed}.pt" \
  --emb_dim "${emb_dim}" \
  --rnn_size "${rnn_size}" \
  --num_z_samples "${num_z_samples}" \
  --z_dim 32 \
  --z_cat \
  --use_avg \
  --warmup 10 \
  --seed "${seed}" \
  --gpuid "${gpuid}"
